void main( void )
{
 int &dude;


 if (&caveguy == 0)
 {
  freeze(1);
  &dude = create_sprite(464, 116, 0, 0, 0);

 &temp1hold = &dude;
  sp_brain(&dude, 0);
  sp_base_walk(&dude, 370);
  sp_speed(&dude, 2);
  sp_timing(&dude, 0);
 //set starting pic
  sp_pseq(&dude, 373);
  sp_pframe(&dude, 1);
  sp_dir(&dude, 2);
  //Playmidi("Mystery.mid", 1);
  say_stop("`5救救我！！", &dude);
  wait(300);
  say_stop("哪泥？？！？！", 1);
  move_stop(1, 6, 130, 1);
  move_stop(1, 3, 190, 1);
  move_stop(1, 6, 300, 1);
  say_stop("你怎么回事啊？", 1);
  move(&dude, 1, 400, 1);
  say_stop("`5他们把我扔了进来。", &dude);
  wait(300);
  say_stop("什么？", 1);
  wait(200);
  say_stop("谁扔你到这里的？", 1);
  wait(300);

  say_stop("`5他们是 Cast 成员。", &dude);
  sp_dir(1, 2);
  wait(750);
  say_stop("他说的是真的吗？", 1);
  sp_dir(1, 6);
  wait(500);
  say_stop("八成是你应得的...", 1);
  wait(300);
  say_stop("`5不，你错了。", &dude);
  wait(300);
  say_stop("哦。", 1);
  wait(300);
  say_stop("`5那你能不能帮我逃出去啊？！", &dude);
  wait(300);
  say_stop("`5他们很快就会回来的，会把我们都杀死的！", &dude);
  wait(300);
  say_stop("哦，好好，我怎么放你出来？", 1);
  wait(300);
  say_stop("`5我也不清楚，似乎是那个雕像把我困在这里的。", &dude);
  wait(200);
  say_stop("`5我觉得它好像有魔法保护着。", &dude);
  wait(250);
  say_stop("`5小子你会魔法吗？", &dude);
  wait(300);
  say_stop("我只会火球。", 1);
  wait(300);
  say_stop("`5我觉得那不行。", &dude);
  wait(300);
  say_stop("`5到镇里去问问，总会有人知道些消息的。", &dude);
  wait(300);
  say_stop("好的，哦对了，我叫丁克小森林，我们回头见。", 1);
  &caveguy = 1;
  unfreeze(1);
  return;
 }
 if (&caveguy == 1)
 {
  freeze(1);
  &dude = create_sprite(464, 116, 0, 0, 0);
 &temp1hold = &dude;

  sp_brain(&dude, 0);
  sp_base_walk(&dude, 370);
  sp_speed(&dude, 2);
  sp_timing(&dude, 0);
 //set starting pic
  sp_pseq(&dude, 371);
  sp_pframe(&dude, 1);
  sp_dir(&dude, 2);
  //Playmidi("Mystery.mid", 1);
  say_stop("`5行了吗？", &dude);
  move_stop(1, 6, 130, 1);
  say_stop("还在尝试。", 1);
  wait(500);
  say_stop("`快点啦！", &dude);
  sp_dir(1, 2);
  wait(750);
  sp_dir(1, 6);
  wait(500);
  say_stop("知道了。", 1);
  unfreeze(1);
 }
 if (&caveguy == 2)
 {
  freeze(1);
  &dude = create_sprite(464, 116, 0, 0, 0);
 &temp1hold = &dude;

  sp_brain(&dude, 0);
  sp_base_walk(&dude, 370);
  sp_speed(&dude, 2);
  sp_timing(&dude, 0);
 //set starting pic
  sp_pseq(&dude, 371);
  sp_pframe(&dude, 1);
  sp_dir(&dude, 2);
  //Playmidi("Mystery.mid");
  wait(500);
  say_stop("`5现在如何？", &dude);
  move_stop(1, 6, 130, 1);
  say_stop("听说镇里有个老头会魔法", 1);
   wait(200:
  say_stop("他可能有可以帮助我们的法术。", 1);
  wait(500);
  sp_dir(&dude, 2);
  wait(750);
  sp_dir(&dude, 4);
  wait(500);
  say_stop("`5那你在这里干什么啊？！", &dude);
  wait(250);
  say_stop("哦，对啊，哈哈，不好意思。", 1);
  unfreeze(1);
 }
 if (&caveguy == 3)
 {
  freeze(1);
 &temp1hold = &dude;

  &dude = create_sprite(464, 116, 0, 0, 0);
  sp_brain(&dude, 0);
  sp_base_walk(&dude, 370);
  sp_speed(&dude, 2);
  sp_timing(&dude, 0);
 //set starting pic
  sp_pseq(&dude, 371);
  sp_pframe(&dude, 1);
  sp_dir(&dude, 2);
  //Playmidi("Mystery.mid");
  wait(500);
  say_stop("`5这下呢？", &dude);
  wait(250);
  move_stop(1, 6, 130, 1);
  say_stop("那老头说我还不够厉害", 1);
  wait(200);
  say_stop("我是来练级的。", 1);
  wait(750);
  sp_dir(&dude, 2);
  wait(500);
  sp_dir(&dude, 4);
  wait(500);
  say_stop("`5天啊，怎么会这样！", &dude);
  wait(200);
  say_stop("`5我就在此等死吧，希望Cast的人回不来！！", &dude);
  wait(250);
  say_stop("好啦好啦，我马上就好..", 1);
  unfreeze(1);
 }
 if (&caveguy == 4)
 {
  freeze(1);
  &dude = create_sprite(464, 116, 0, 0, 0);
 &temp1hold = &dude;

  sp_brain(&dude, 0);
  sp_base_walk(&dude, 370);
  sp_speed(&dude, 2);
  sp_timing(&dude, 0);
 //set starting pic
  sp_pseq(&dude, 371);
  sp_pframe(&dude, 1);
  sp_dir(&dude, 2);
  //Playmidi("Mystery.mid");
  wait(500);
  say_stop("`5我肯定是要死了，想都不用想。", &dude);
  wait(300);
  say_stop("`5这下如何？", &dude);
  wait(250);
  move_stop(1, 6, 130, 1);
  say_stop("我学会了，看看有没有用。", 1);
  wait(250);
  say_stop("`5太棒了！！！", &dude);
  wait(250);
  say_stop("`5不过要快点，我可以发誓我听到了别人的声音。", &dude);
  wait(250);
  say_stop("好。", 1);
  unfreeze(1);
 }
}


